Name:       perl-DateTimeX-Easy 
Version:    0.085 
Release:    1%{?dist}
# see lib/DateTimeX/Easy.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Parse a date/time string using the best method available 
Source:     http://search.cpan.org/CPAN/authors/id/R/RK/RKRIMEN/DateTimeX-Easy-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/DateTimeX-Easy
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(DateTime::Format::Flexible)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::ICal)
BuildRequires: perl(DateTime::Format::DateManip)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)

# not picked up
Provides:      perl(DateTimeX::Easy::DateParse)

%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n DateTimeX-Easy-%{version}

# note -- we cannot package/use Test::Most as it requires newer levels of core
# modules than are currently present in F-9+
perl -pi -e 's/Most/More/g' t/*.t Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Jan 12 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.085-1
- update to 0.085
- touch up for review

* Sun Dec 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.084-0.1
- update to 0.084

* Sat Oct 11 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.082-1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.1)

